import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        "srfkey": "SysOperator",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"",
        "appdedataset":"",
        "items": []
    },
    {
        srfkey: "UNIPRODUCTTYPE",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "Software",
                label: "软件",
                text: "软件",
                "class":"",
                "data":"",
                "codename":"Software",
                value: "Software",
                
                disabled: false,
            },
            {
                id: "Hardware",
                label: "硬件",
                text: "硬件",
                "class":"",
                "data":"",
                "codename":"Hardware",
                value: "Hardware",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "SCODELIST_NUM",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "类型1",
                text: "类型1",
                "class":"",
                "data":"",
                "codename":"Item_1",
                value: 1,
                
                disabled: false,
            },
            {
                id: "2",
                label: "类型2",
                text: "类型2",
                "class":"",
                "data":"",
                "codename":"Item_2",
                value: 2,
                
                disabled: false,
            },
            {
                id: "4",
                label: "类型3",
                text: "类型3",
                "class":"",
                "data":"",
                "codename":"Item_4",
                value: 4,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "CodeList96",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "HTML",
                label: "HTML",
                text: "HTML",
                "class":"",
                "data":"",
                "codename":"Html",
                value: "HTML",
                
                disabled: false,
            },
            {
                id: "SL",
                label: "SilverLight",
                text: "SilverLight",
                "class":"",
                "data":"",
                "codename":"Sl",
                value: "SL",
                
                disabled: false,
            },
            {
                id: "WinRT",
                label: "WinRT",
                text: "WinRT",
                "class":"",
                "data":"",
                "codename":"Winrt",
                value: "WinRT",
                
                disabled: false,
            },
            {
                id: "Android",
                label: "Android",
                text: "Android",
                "class":"",
                "data":"",
                "codename":"Android",
                value: "Android",
                
                disabled: false,
            },
            {
                id: "IOS",
                label: "IOS",
                text: "IOS",
                "class":"",
                "data":"",
                "codename":"Ios",
                value: "IOS",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "CodeList12",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "REPORTFOLDER_1",
                label: "经营性报表",
                text: "经营性报表",
                "class":"",
                "data":"",
                "codename":"Reportfolder_1",
                value: "REPORTFOLDER_1",
                
                disabled: false,
            },
            {
                id: "REPORTFOLDER_2",
                label: "财务报表",
                text: "财务报表",
                "class":"",
                "data":"",
                "codename":"Reportfolder_2",
                value: "REPORTFOLDER_2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Bookgroup",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "all",
                label: "全部",
                text: "全部",
                "class":"",
                "data":"",
                "codename":"All",
                value: "all",
                
                disabled: false,
            },
            {
                id: "onshelf",
                label: "已上架",
                text: "已上架",
                "class":"",
                "data":"",
                "codename":"Onshelf",
                value: "onshelf",
                
                disabled: false,
            },
            {
                id: "noshelf",
                label: "未上架",
                text: "未上架",
                "class":"",
                "data":"",
                "codename":"Noshelf",
                value: "noshelf",
                
                disabled: false,
            },
            {
                id: "other",
                label: "其他",
                text: "其他",
                "class":"",
                "data":"",
                "codename":"Other",
                value: "other",
                
                disabled: false,
            },
            {
                id: "nopublish",
                label: "未出版",
                text: "未出版",
                "class":"",
                "data":"",
                "codename":"Nopublish",
                value: "nopublish",
                "pvalue": "other",
                disabled: false,
            },
            {
                id: "waitpublish",
                label: "等待出版",
                text: "等待出版",
                "class":"",
                "data":"",
                "codename":"Waitpublish",
                value: "waitpublish",
                "pvalue": "other",
                disabled: false,
            },
        ]
    },
    {
        srfkey: "SCODELIST_TEXT",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "A",
                label: "类型1",
                text: "类型1",
                "class":"",
                "data":"",
                "codename":"A",
                value: "A",
                
                disabled: false,
            },
            {
                id: "B",
                label: "类型2",
                text: "类型2",
                "class":"",
                "data":"",
                "codename":"B",
                value: "B",
                
                disabled: false,
            },
            {
                id: "C",
                label: "类型3",
                text: "类型3",
                "class":"",
                "data":"",
                "codename":"C",
                value: "C",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "YesNo",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "是",
                text: "是",
                "class":"",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "否",
                text: "否",
                "class":"",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "ORDERSTATE",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "10",
                label: "未提交",
                text: "未提交",
                "class":"",
                "data":"",
                "codename":"Item_10",
                value: "10",
                
                disabled: false,
            },
            {
                id: "20",
                label: "审核中",
                text: "审核中",
                "class":"",
                "data":"",
                "codename":"Item_20",
                value: "20",
                
                disabled: false,
            },
            {
                id: "30",
                label: "已通过",
                text: "已通过",
                "class":"",
                "data":"",
                "codename":"Item_30",
                value: "30",
                
                disabled: false,
            },
            {
                id: "40",
                label: "未通过",
                text: "未通过",
                "class":"",
                "data":"",
                "codename":"Item_40",
                value: "40",
                
                disabled: false,
            },
        ]
    },
    {
        "srfkey": "ORDERTYPE",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"IBIZOrderType",
        "appdedataset":"FetchDefault",
        "items": []
    },
    {
        srfkey: "CodeList46",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "星期一",
                text: "星期一",
                "class":"",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "星期二",
                text: "星期二",
                "class":"",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "星期三",
                text: "星期三",
                "class":"",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "5",
                label: "星期四",
                text: "星期四",
                "class":"",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "6",
                label: "星期五",
                text: "星期五",
                "class":"",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "7",
                label: "星期六",
                text: "星期六",
                "class":"",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "1",
                label: "星期日",
                text: "星期日",
                "class":"",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "S_OrderType",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "10",
                label: "销售订单",
                text: "销售订单",
                "class":"",
                "data":"",
                "codename":"Item_10",
                value: "10",
                
                disabled: false,
            },
            {
                id: "20",
                label: "采购订单",
                text: "采购订单",
                "class":"",
                "data":"",
                "codename":"Item_20",
                value: "20",
                
                disabled: false,
            },
            {
                id: "30",
                label: "生产订单",
                text: "生产订单",
                "class":"",
                "data":"",
                "codename":"Item_30",
                value: "30",
                
                disabled: false,
            },
        ]
    }
    ]];
});

